Subject: bug#70989: 29.3; Calling isearch-forward when using Unifont throws error "Invalid font name"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 May 2024 22:31:25 +0300

> Date: Thu, 16 May 2024 13:39:26 -0500
> From: Rodrigo Morales <[email-masked]>
> 
> 
> I used the font "Unifont" to reproduce this issue: I downloaded
> the font from https://unifoundry.com/unifont/index.html . The file was
> called =unifont-15.1.05.bdf.gz=. I decompressed the file using gunzip
> and copied the file to ~/.fonts. Afterwards, I executed "fc-cache -f".
> 
> To reproduce this issue, I did not start Emacs using "emacs -Q", but I
> deleted the file ~/.config/emacs/init.el and I only added the
> following sexp to ~/.config/emacs/init.el
> 
> #+HEADER: :tangle ~/.config/emacs/init.el
> #+BEGIN_SRC elisp
> (add-to-list 'default-frame-alist '(font . "Unifont"))
> #+END_SRC
> 
> I launched Emacs without the =-Q= flag so that the file
> ~/.config/emacs/init.el . When the Emacs window opened, the modeline
> and the sentence "For information about GNU Emacs and the GNU system,
> type C-h C-a" which is shown in the minibuffer was shown using
> "Unifont" (the C-h C-a was shown using other font).

What does the below show after you start Emacs?

  M-: (face-font 'default) RET